New to Kendo UI for Vue? Start a free 30-day trial

LineStyle

The line style of the series.

import {
 Chart,
 ChartSeries,
 ChartSeriesItem
} from '@progress/kendo-vue-charts';

<template>
 <Chart>
   <ChartSeries>
     <ChartSeriesItem :type="'line'" :data-items="dataItems" :item-style="'smooth'" />
   </ChartSeries>
 </Chart>
 </template>
<script>
export default {
  components: {
     Chart,
     ChartSeries,
     ChartSeriesItem
  },
  data () {
      return {
         dataItems: [1, 2, 3]
      };
  }
}
</script>

type LineStyle = "normal" | "step" | "smooth";

In this article

Not finding the help you need?

New to Kendo UI for Angular? Start a free 30-day trial

LineStyle

The line style of the series.

The possible values are:

  • "normal"—The values are connected with a straight line.
  • "step"—The values are connected with a right-angled line. Available when series.type is set to "line".
  • "smooth"—The values are connected with a smooth line. Not supported for stacked area series with missing values.
import { Component } from '@angular/core';
import { LineStyle } from '@progress/kendo-angular-charts';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-series>
        <kendo-chart-series-item type="line" [data]="[1, 2, 1]" [style]="style">
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `
})
export class AppComponent {
  public style: LineStyle = "smooth";
}

type LineStyle = "normal" | "step" | "smooth";

In this article

Not finding the help you need?